Subject: [clisp-list] FFI extensions - work in progress - you may try it out!

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Mon Apr 22 10:07:05 2002

Hi,

Peter Wood wrote:
> I have a patch for configure and makemake.in which autocreate rules
> for building the extensions which you have posted to the list.  Once
The patch is only interim. These FFI extensions are not to stay as modules. They ought to become part of CLISP, i.e. completely merged into foreign.d|lisp/subr.d/constsym.d/lispbibl.d/....
Using a module is just an easy way to add extensions, as I wrote in my article. Using them, I don't need to recompile all of CLISP.

> this mark_invalid_foreign problem sorted out, I will post the patch to
> the list, and hopefully more people will be able to build and report
> back.
Thanks a lot!

Please add to foreign.d in the interim (until I rewrite ugly code):
# (FFI:MARK-INVALID-FOREIGN foreign-address)
LISPFUNN(mark_invalid_foreign,1)
{ value1=T; mv_count=1; }

> I am using cvs Clisp (downloaded Friday evening, CET), and
> sysdll-1.7.c, sysdll-1.3.h, and dynload.d.
Great. autoconf stuff for the defines these files need (HAVE__DLERROR, HAVE_SHL_LOAD etc.) would be great for final steps! These should be taken from XEmacs CVS.

Thanks,
	Jorg Hohle.